Bug 620039 - Review Request: python-Enable - Drawing and interaction packages
Review Request: python-Enable - Drawing and interaction packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Liang Suilong
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 620166
  Show dependency treegraph
 
Reported: 2010-07-31 11:13 EDT by Chen Lei
Modified: 2010-09-06 06:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-06 06:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
liangsuilong: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chen Lei 2010-07-31 11:13:21 EDT
Description:
The Enable project provides two related multi-platform packages for drawing 
GUI objects.

  * Enable: An object drawing library that supports containment and
    event notification.
  * Kiva: A multi-platform DisplayPDF vector drawing engine.

Links:

SRPM: http://dl.dropbox.com/u/1338197/1/python-Enable-3.3.1-1.fc13.src.rpm
SPEC: http://dl.dropbox.com/u/1338197/1/python-Enable.spec
Comment 1 manuel wolfshant 2010-08-03 07:01:51 EDT
Before going into deeper analysis, I think that the license tag should probably be more similar to "BSD and LGPLv3 and Public Domain". Also, have you considered including the tests ( "integrationtests") ?
Comment 2 Chen Lei 2010-08-03 08:01:09 EDT
The license for this package is complicated, see image_LICENSE.txt, BSD and LGPLv3 and Public Domain is not enough(e.g. images from cristalproject is licensed under LGPLv2+).

Doing tests in %check will pull in a lot of other ETS packages, normally I'd like to do it on a local machine which is already installed the whole ETS stacks. For no core python packages, I think doing tests is not a good idea, because most Requires are not listed in BuildRequires.
Comment 3 manuel wolfshant 2010-08-03 08:17:28 EDT
(In reply to comment #2)
> The license for this package is complicated, see image_LICENSE.txt, BSD and
> LGPLv3 and Public Domain is not enough(e.g. images from cristalproject is
> licensed under LGPLv2+).
I've seen that. But AFAIK, LGPLv2+ + LGPLv3 kind of equals LGPLv3. But by all means please correct me if I am wrong


> 
> Doing tests in %check will pull in a lot of other ETS packages, normally I'd
> like to do it on a local machine which is already installed the whole ETS
> stacks. For no core python packages, I think doing tests is not a good idea,
> because most Requires are not listed in BuildRequires.
But you can add them as BR, as needed. AFAIK running the embedded tests is encouraged for all software ( unless it is prohibitive or cannot be done in koji)
Comment 4 Chen Lei 2010-08-03 08:42:56 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > The license for this package is complicated, see image_LICENSE.txt, BSD and
> > LGPLv3 and Public Domain is not enough(e.g. images from cristalproject is
> > licensed under LGPLv2+).
> I've seen that. But AFAIK, LGPLv2+ + LGPLv3 kind of equals LGPLv3. But by all
> means please correct me if I am wrong
If LGPLv2+ and LGPLv3 source files are compiled into one binary, then the license for this binary should be LGPLv3. If those files are not compiled into one file, then they are still licensed under their original license. 

> > Doing tests in %check will pull in a lot of other ETS packages, normally I'd
> > like to do it on a local machine which is already installed the whole ETS
> > stacks. For no core python packages, I think doing tests is not a good idea,
> > because most Requires are not listed in BuildRequires.
> But you can add them as BR, as needed. AFAIK running the embedded tests is
> encouraged for all software ( unless it is prohibitive or cannot be done in
> koji)    

Right, it'll be better to do %check in spec if it's convenient to do so. This package will pull in >200M addtional deps for tests, I don't think it's really worth to do so.  For C/C++ packages, doing tests normally won't pull in many additional buildrequires. However, for some python packages, I think doing tests is impossible under some circumstance(e.g. Zope2 requires donzes of tiny python modules, all those modules depends on a large amount of other modules, obviously we can't do tests for all those modules).
Comment 5 manuel wolfshant 2010-08-20 06:52:31 EDT
I am sorry, but due to lack of time I have to abandon this review.
Comment 6 Liang Suilong 2010-09-03 04:41:10 EDT
I don't see any issue about this package, approved!

Thank you for your great work, Manuel Wolfshant.
Comment 7 Chen Lei 2010-09-04 22:03:23 EDT
New Package CVS Request
=======================
Package Name: python-Enable
Short Description: Drawing and interaction packages
Owners: supercyper
Branches: F-13 F-14
InitialCC:
Comment 8 Kevin Fenzi 2010-09-05 13:52:46 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.